Projects
List all projects
Retrieves projects belonging to the authenticated organization by default, or all organizations the authenticated user belongs to when list_all_org_projects is true. Projects are returned in descending order of creation date (newest first). This endpoint is useful for displaying project selection in dashboards or for integrations that need to list all available projects.
GET
/
api
/
v3
/
org
/
project
/
list
List all projects
import requests
url = "https://backend.composio.dev/api/v3/org/project/list"
headers = {"x-user-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-user-api-key': '<api-key>'}};
fetch('https://backend.composio.dev/api/v3/org/project/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://backend.composio.dev/api/v3/org/project/list \
--header 'x-user-api-key: <api-key>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://backend.composio.dev/api/v3/org/project/list"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-user-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://backend.composio.dev/api/v3/org/project/list")
.header("x-user-api-key", "<api-key>")
.asString();using RestSharp;
var options = new RestClientOptions("https://backend.composio.dev/api/v3/org/project/list");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-user-api-key", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
false{
"data": [
{
"id": "pr_1a2b3c4d5e6f",
"org_id": "ok_1a2b3c4d5e6f",
"name": "My Awesome Project",
"email": "project-123@composio.dev",
"created_at": "2023-05-16T14:30:00.000Z",
"updated_at": "2023-05-18T09:15:30.000Z",
"webhook_url": "https://example.com/webhook",
"event_webhook_url": "https://example.com/events",
"webhook_secret": "whsec_abcdef123456789",
"webhook_version": "V2",
"deleted": false,
"triggers_enabled": true,
"last_subscribed_at": "2023-05-17T10:00:00.000Z",
"is_new_webhook": true
}
],
"total_pages": 123,
"current_page": 123,
"total_items": 123,
"next_cursor": "<string>"
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}Authorizations
Query Parameters
List all projects
import requests
url = "https://backend.composio.dev/api/v3/org/project/list"
headers = {"x-user-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-user-api-key': '<api-key>'}};
fetch('https://backend.composio.dev/api/v3/org/project/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://backend.composio.dev/api/v3/org/project/list \
--header 'x-user-api-key: <api-key>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://backend.composio.dev/api/v3/org/project/list"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-user-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://backend.composio.dev/api/v3/org/project/list")
.header("x-user-api-key", "<api-key>")
.asString();using RestSharp;
var options = new RestClientOptions("https://backend.composio.dev/api/v3/org/project/list");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-user-api-key", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
false{
"data": [
{
"id": "pr_1a2b3c4d5e6f",
"org_id": "ok_1a2b3c4d5e6f",
"name": "My Awesome Project",
"email": "project-123@composio.dev",
"created_at": "2023-05-16T14:30:00.000Z",
"updated_at": "2023-05-18T09:15:30.000Z",
"webhook_url": "https://example.com/webhook",
"event_webhook_url": "https://example.com/events",
"webhook_secret": "whsec_abcdef123456789",
"webhook_version": "V2",
"deleted": false,
"triggers_enabled": true,
"last_subscribed_at": "2023-05-17T10:00:00.000Z",
"is_new_webhook": true
}
],
"total_pages": 123,
"current_page": 123,
"total_items": 123,
"next_cursor": "<string>"
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}